Package com.io7m.coffeepick.repository.spi

# Class RuntimeRepositoryProviderRegistryEvent.Builder

java.lang.Object
com.io7m.coffeepick.repository.spi.RuntimeRepositoryProviderRegistryEvent.Builder

Enclosing class:
  RuntimeRepositoryProviderRegistryEvent

    public static final class RuntimeRepositoryProviderRegistryEvent.Builder
    extends java.lang.Object

Builds instances of type `RuntimeRepositoryProviderRegistryEvent`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `RuntimeRepositoryProviderRegistryEvent` | `build()` | Builds a new `RuntimeRepositoryProviderRegistryEvent`.
  `RuntimeRepositoryProviderRegistryEvent.Builder` | `from​(RuntimeRepositoryProviderRegistryEventType instance)` | Fill a builder with attribute values from the provided `RuntimeRepositoryProviderRegistryEventType` instance.
  `RuntimeRepositoryProviderRegistryEvent.Builder` | `setChange​(RuntimeRepositoryProviderRegistryEventType.Change change)` | Initializes the value for the `change` attribute.
  `RuntimeRepositoryProviderRegistryEvent.Builder` | `setRepositoryProvider​(RuntimeRepositoryProviderType repositoryProvider)` | Initializes the value for the `repositoryProvider` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final RuntimeRepositoryProviderRegistryEvent.Builder from​(RuntimeRepositoryProviderRegistryEventType instance)
    Fill a builder with attribute values from the provided `RuntimeRepositoryProviderRegistryEventType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setChange

    public final RuntimeRepositoryProviderRegistryEvent.Builder setChange​(RuntimeRepositoryProviderRegistryEventType.Change change)
    Initializes the value for the `change` attribute.
    Parameters:
      `change` - The value for change
    Returns:
      `this` builder for use in a chained invocation

  - ### setRepositoryProvider

    public final RuntimeRepositoryProviderRegistryEvent.Builder setRepositoryProvider​(RuntimeRepositoryProviderType repositoryProvider)
    Initializes the value for the `repositoryProvider` attribute.
    Parameters:
      `repositoryProvider` - The value for repositoryProvider
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public RuntimeRepositoryProviderRegistryEvent build()
    Builds a new `RuntimeRepositoryProviderRegistryEvent`.
    Returns:
      An immutable instance of RuntimeRepositoryProviderRegistryEvent
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing